> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate upload URL



## OpenAPI

````yaml /openapi.json post /documents
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /documents:
    post:
      tags:
        - documents
      summary: Generate upload URL
      operationId: DocumentsController_generateDocumentUploadUrls
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateDocumentUploadUrlInputBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateDocumentUploadUrlOutput'
components:
  schemas:
    GenerateDocumentUploadUrlInputBody:
      type: object
      properties:
        metadata:
          description: metadata assigned to the object
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
        name:
          type: string
          description: the name of the document
        test:
          type: boolean
          description: is it a test customer
      required:
        - metadata
        - name
    GenerateDocumentUploadUrlOutput:
      type: object
      properties:
        url:
          type: string
          description: the signed url to upload the document
        id:
          type: string
          description: the id of the document
      required:
        - url
        - id
    Metadata:
      type: object
      properties:
        key:
          type: string
          description: the key of the metadata
        value:
          type: string
          description: the value of the metadata
      required:
        - key
        - value

````